Search files with advanced filters
curl --request POST \
--url https://api.smokeball.com/search/files \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json-patch+json' \
--header 'x-api-key: <api-key>' \
--data '
{
"query": "contract",
"filters": {
"searchFields": [
"Name",
"Content"
],
"includeFileExtensions": [
"pdf",
"docx"
],
"excludeFileExtensions": [
"tmp",
"bak"
],
"authorIds": [
"750eb5c5-ac0b-7d11-4997-e0ce9d8896c8"
],
"contactIds": [
"b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2"
]
}
}
'import requests
url = "https://api.smokeball.com/search/files"
payload = {
"query": "contract",
"filters": {
"searchFields": ["Name", "Content"],
"includeFileExtensions": ["pdf", "docx"],
"excludeFileExtensions": ["tmp", "bak"],
"authorIds": ["750eb5c5-ac0b-7d11-4997-e0ce9d8896c8"],
"contactIds": ["b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2"]
}
}
headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-key': '<api-key>',
Authorization: '<api-key>',
'Content-Type': 'application/json-patch+json'
},
body: JSON.stringify({
query: 'contract',
filters: {
searchFields: ['Name', 'Content'],
includeFileExtensions: ['pdf', 'docx'],
excludeFileExtensions: ['tmp', 'bak'],
authorIds: ['750eb5c5-ac0b-7d11-4997-e0ce9d8896c8'],
contactIds: ['b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2']
}
})
};
fetch('https://api.smokeball.com/search/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
"<unknown>"
]Search
Search files with advanced filters
Performs a full-account file search and returns files matching the provided query, paging options and filters.
POST
/
search
/
files
Search files with advanced filters
Query Parameters
Required range:
0 <= x <= 2147483647Required range:
1 <= x <= 500Body
application/json-patch+jsonapplication/jsonapplication/*+json
Response
Returns the matching files.
āI